package com.bankaudit.dto;

import java.util.Date;

public class DashboardDto {
 
	private String  auditId;
	private String auditType;
	private String 	financialYear; 	
	private String 	financialYearPrev1; 
	private String 	financialYearPrev2; 
	private String 	financialYearPrev3; 
	
	private String 	chapterName;
	private Integer nonComplianceCount;
	private Integer nonComplianceCountPrev1;
	private Integer nonComplianceCountPrev2;
	private Integer nonComplianceCountPrev3;
	
	private Integer complianceCount;
	private Integer notApplicableCount;
	private Integer responseRejectCount;
	private Integer responseAcceptCount;
	private Integer responseReviewedCount;
	private Integer furtherComplianceCount;
	private Integer observationCount;
	
	private String 	complianceSubmittedOn;
	private String 	dueOn;
	private Integer delay;	
	
	private String unitNameList;
	private Date nextPlanStartDate;
	private Integer remainingDays;
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditType() {
		return auditType;
	}
	public void setAuditType(String auditType) {
		this.auditType = auditType;
	}
	public String getFinancialYear() {
		return financialYear;
	}
	public void setFinancialYear(String financialYear) {
		this.financialYear = financialYear;
	}
	public String getFinancialYearPrev1() {
		return financialYearPrev1;
	}
	public void setFinancialYearPrev1(String financialYearPrev1) {
		this.financialYearPrev1 = financialYearPrev1;
	}
	public String getFinancialYearPrev2() {
		return financialYearPrev2;
	}
	public void setFinancialYearPrev2(String financialYearPrev2) {
		this.financialYearPrev2 = financialYearPrev2;
	}
	public String getFinancialYearPrev3() {
		return financialYearPrev3;
	}
	public void setFinancialYearPrev3(String financialYearPrev3) {
		this.financialYearPrev3 = financialYearPrev3;
	}
	public String getChapterName() {
		return chapterName;
	}
	public void setChapterName(String chapterName) {
		this.chapterName = chapterName;
	}
	public Integer getNonComplianceCount() {
		return nonComplianceCount;
	}
	public void setNonComplianceCount(Integer nonComplianceCount) {
		this.nonComplianceCount = nonComplianceCount;
	}
	public Integer getNonComplianceCountPrev1() {
		return nonComplianceCountPrev1;
	}
	public void setNonComplianceCountPrev1(Integer nonComplianceCountPrev1) {
		this.nonComplianceCountPrev1 = nonComplianceCountPrev1;
	}
	public Integer getNonComplianceCountPrev2() {
		return nonComplianceCountPrev2;
	}
	public void setNonComplianceCountPrev2(Integer nonComplianceCountPrev2) {
		this.nonComplianceCountPrev2 = nonComplianceCountPrev2;
	}
	public Integer getNonComplianceCountPrev3() {
		return nonComplianceCountPrev3;
	}
	public void setNonComplianceCountPrev3(Integer nonComplianceCountPrev3) {
		this.nonComplianceCountPrev3 = nonComplianceCountPrev3;
	}
	public Integer getComplianceCount() {
		return complianceCount;
	}
	public void setComplianceCount(Integer complianceCount) {
		this.complianceCount = complianceCount;
	}
	public Integer getNotApplicableCount() {
		return notApplicableCount;
	}
	public void setNotApplicableCount(Integer notApplicableCount) {
		this.notApplicableCount = notApplicableCount;
	}
	public Integer getResponseRejectCount() {
		return responseRejectCount;
	}
	public void setResponseRejectCount(Integer responseRejectCount) {
		this.responseRejectCount = responseRejectCount;
	}
	public Integer getResponseAcceptCount() {
		return responseAcceptCount;
	}
	public void setResponseAcceptCount(Integer responseAcceptCount) {
		this.responseAcceptCount = responseAcceptCount;
	}
	public Integer getResponseReviewedCount() {
		return responseReviewedCount;
	}
	public void setResponseReviewedCount(Integer responseReviewedCount) {
		this.responseReviewedCount = responseReviewedCount;
	}
	public Integer getFurtherComplianceCount() {
		return furtherComplianceCount;
	}
	public void setFurtherComplianceCount(Integer furtherComplianceCount) {
		this.furtherComplianceCount = furtherComplianceCount;
	}
	public Integer getObservationCount() {
		return observationCount;
	}
	public void setObservationCount(Integer observationCount) {
		this.observationCount = observationCount;
	}
	public String getComplianceSubmittedOn() {
		return complianceSubmittedOn;
	}
	public void setComplianceSubmittedOn(String complianceSubmittedOn) {
		this.complianceSubmittedOn = complianceSubmittedOn;
	}
	public String getDueOn() {
		return dueOn;
	}
	public void setDueOn(String dueOn) {
		this.dueOn = dueOn;
	}
	public Integer getDelay() {
		return delay;
	}
	public void setDelay(Integer delay) {
		this.delay = delay;
	}
	public String getUnitNameList() {
		return unitNameList;
	}
	public void setUnitNameList(String unitNameList) {
		this.unitNameList = unitNameList;
	}
	public Date getNextPlanStartDate() {
		return nextPlanStartDate;
	}
	public void setNextPlanStartDate(Date nextPlanStartDate) {
		this.nextPlanStartDate = nextPlanStartDate;
	}
	public Integer getRemainingDays() {
		return remainingDays;
	}
	public void setRemainingDays(Integer remainingDays) {
		this.remainingDays = remainingDays;
	}	
	 
	
}
